# Create a source

Creates a new source object.

## Request

```curl
curl https://api.stripe.com/v1/sources \
  -u "<<YOUR_SECRET_KEY>>" \
  -d type=ach_credit_transfer \
  -d currency=usd \
  --data-urlencode "owner[email]=jenny.rosen@example.com"
```

### Response

```json
{
  "id": "src_1N3lxdLkdIwHu7ixPHXy8UcI",
  "object": "source",
  "ach_credit_transfer": {
    "account_number": "test_eb829353ed79",
    "bank_name": "TEST BANK",
    "fingerprint": "kBQsBk9KtfCgjEYK",
    "refund_account_holder_name": null,
    "refund_account_holder_type": null,
    "refund_routing_number": null,
    "routing_number": "110000000",
    "swift_code": "TSTEZ122"
  },
  "amount": null,
  "client_secret": "src_client_secret_ZaOIRUD8a9uGmQobLxGvqKSr",
  "created": 1683144457,
  "currency": "usd",
  "flow": "receiver",
  "livemode": false,
  "metadata": {},
  "owner": {
    "address": null,
    "email": "jenny.rosen@example.com",
    "name": null,
    "phone": null,
    "verified_address": null,
    "verified_email": null,
    "verified_name": null,
    "verified_phone": null
  },
  "receiver": {
    "address": "110000000-test_eb829353ed79",
    "amount_charged": 0,
    "amount_received": 0,
    "amount_returned": 0,
    "refund_attributes_method": "email",
    "refund_attributes_status": "missing"
  },
  "statement_descriptor": null,
  "status": "pending",
  "type": "ach_credit_transfer",
  "usage": "reusable"
}
```

## Returns

Returns a newly created source.

## Parameters

- `type` (string, required)
  The `type` of the source to create. Required unless `customer` and `original_source` are specified (see the [Cloning card Sources](https://docs.stripe.com/sources/connect.md#cloning-card-sources) guide)

- `amount` (integer, optional)
  Amount associated with the source. This is the amount for which the source will be chargeable once ready. Required for `single_use` sources. Not supported for `receiver` type sources, where charge amount may not be specified until funds land.

- `currency` (enum, optional)
  Three-letter [ISO code for the currency](https://docs.stripe.com/currencies.md) associated with the source. This is the currency for which the source will be chargeable once ready.

- `flow` (string, optional)
  The authentication `flow` of the source to create. `flow` is one of `redirect`, `receiver`, `code_verification`, `none`. It is generally inferred unless a type supports multiple flows.

- [`mandate`](https://docs.stripe.com/api/sources/create.md?query=mandate) (object, optional)
  Information about a mandate possibility attached to a source object (generally for bank debits) as well as its acceptance status.

- `metadata` (map, optional)
  Set of [key-value pairs](https://docs.stripe.com/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

- [`owner`](https://docs.stripe.com/api/sources/create.md?query=owner) (object, optional)
  Information about the owner of the payment instrument that may be used or required by particular source types.

- [`receiver`](https://docs.stripe.com/api/sources/create.md?query=receiver) (object, optional)
  Optional parameters for the receiver flow. Can be set only if the source is a receiver (`flow` is `receiver`).

- [`redirect`](https://docs.stripe.com/api/sources/create.md?query=redirect) (object, optional)
  Parameters required for the redirect flow. Required if the source is authenticated by a redirect (`flow` is `redirect`).

- [`source_order`](https://docs.stripe.com/api/sources/create.md?query=source_order) (object, optional)
  Information about the items and shipping associated with the source. Required for transactional credit (for example Klarna) sources before you can charge it.

- `statement_descriptor` (string, optional)
  An arbitrary string to be displayed on your customer’s statement. As an example, if your website is `RunClub` and the item you’re charging for is a race ticket, you may want to specify a `statement_descriptor` of `RunClub 5K race ticket.` While many payment types will display this information, some may not display it at all.

- `token` (string, optional)
  An optional token used to create the source. When passed, token properties will override source parameters.

- `usage` (string, optional)
  Either `reusable` or `single_use`. Whether this source should be reusable or not. Some source types may or may not be reusable by construction, while others may leave the option at creation. If an incompatible value is passed, an error will be returned.
